Search text in a Computer Agent workspace
curl --request POST \
--url 'https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/workspace/search?token=' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"pattern": "<string>",
"glob": "<string>",
"ignoreCase": true,
"context": 2,
"limit": 100
}
'import requests
url = "https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/workspace/search?token="
payload = {
"path": "<string>",
"pattern": "<string>",
"glob": "<string>",
"ignoreCase": True,
"context": 2,
"limit": 100
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
path: '<string>',
pattern: '<string>',
glob: '<string>',
ignoreCase: true,
context: 2,
limit: 100
})
};
fetch('https://api.vida.dev/api/v2/computer/accounts/{targetAccountId}/workspace/search?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Computer Agents
Search text in a Computer Agent workspace
Finds plain text within a customer-created, workspace-relative file or directory. Results can be limited by file pattern, capitalization, surrounding lines, and maximum count. Agent instructions and settings are not searchable here.
POST
/
api
/
v2
/
computer
/
accounts
/
{targetAccountId}
/
workspace
/
search
Search text in a Computer Agent workspace
Authorizations
Vida API Token
Path Parameters
Body
application/json
Workspace-relative file or directory to search.
Maximum string length:
4096Plain text to find.
Maximum string length:
500Optional file pattern, such as *.js.
Maximum string length:
500Set to true to ignore capitalization differences.
Number of surrounding lines to include.
Required range:
0 <= x <= 5Maximum number of matches to return.
Required range:
1 <= x <= 200Response
200
Successful response
⌘I